/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { IgrListPanelModule } from './igr-list-panel-module';
import { IgrToolActionCheckboxModule } from './igr-tool-action-checkbox-module';
import { IgrToolActionGroupHeaderModule } from './igr-tool-action-group-header-module';
import { IgrToolActionNumberInputModule } from './igr-tool-action-number-input-module';
import { IgrToolActionIconButtonModule } from './igr-tool-action-icon-button-module';
import { IgrToolActionIconMenuModule } from './igr-tool-action-icon-menu-module';
import { IgrToolPanel } from './igr-tool-panel';
import { ToolPanel } from './ToolPanel';
import { TypeRegistrar } from "igniteui-react-core";
export class IgrToolPanelModule {
    static register() {
        IgrListPanelModule.register();
        IgrToolActionCheckboxModule.register();
        IgrToolActionGroupHeaderModule.register();
        IgrToolActionNumberInputModule.register();
        IgrToolActionIconButtonModule.register();
        IgrToolActionIconMenuModule.register();
        TypeRegistrar.registerCons('IgrToolPanel', IgrToolPanel);
        TypeRegistrar.registerCons('IgrToolPanel', IgrToolPanel);
        TypeRegistrar.register('ToolPanel', ToolPanel.$type);
    }
}
