import { ToolPanel } from "./ToolPanel";
import { Type } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
/**
 * @hidden
 */
export interface IToolPanelView {
    onInit(): void;
    onContainerProvided(a: any): void;
    setGridHeight(): void;
    onTemplateProvided(a: any, b: any): void;
    notifySizeChanged(a: Size): void;
    measureString(a: string): number;
    getDefaultCellTextStyle(): FontInfo;
    getAvailableWidth(): number;
    getContainer(a: any, b: (arg1: any) => void): void;
    getUIContext(): any;
    needsMeasure(): void;
    model: ToolPanel;
}
/**
 * @hidden
 */
export declare let IToolPanelView_$type: Type;
