/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType, INotifyPropertyChanged_$type, PropertyChangedEventArgs, enumGetBox, EnumUtil, runOn, delegateCombine, typeCast, delegateRemove, fromEn, String_$type } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { ListPanel } from "./ListPanel";
import { DOMExecutionContext } from "igniteui-react-core";
import { CanvasViewRenderer } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { NativeUI } from "igniteui-react-core";
import { FontUtil } from "igniteui-react-core";
import { Popup } from "igniteui-react-core";
import { NativeUIContent } from "igniteui-react-core";
import { NativeUIComponent } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { BaseControlTheme_$type } from "igniteui-react-core";
import { ToolActionType_$type } from "igniteui-react-core";
import { ToolCommandArgument } from "igniteui-react-core";
import { ToolActionMeasurementContext } from "./ToolActionMeasurementContext";
import { ToolCommand } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { ToolCommandEventArgs } from "./ToolCommandEventArgs";
import { DeviceUtils } from "igniteui-react-core";
import { ToolPanelOrientation_$type } from "./ToolPanelOrientation";
import { stringReplace } from "igniteui-react-core";
import { isNaN_, tryParseNumber } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { BrushUtil } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { ToolPanelContentRefreshedEventArgs } from "./ToolPanelContentRefreshedEventArgs";
import { SRProvider } from "igniteui-react-core";
import { Dictionary$2 } from "igniteui-react-core";
import { NativeUIXInputsFactory } from "igniteui-react-inputs";
import { NativeUIInputsFactory } from "igniteui-react-core";
/**
 * @hidden
 */
export let ToolPanelView = /*@__PURE__*/ (() => {
    class ToolPanelView extends Base {
        constructor() {
            super();
            this.p = null;
            this.o = null;
            this.c = null;
            this.k = null;
            this.n = null;
            this.g = null;
            this.m = null;
            this.d = ((() => {
                let $ret = new FontInfo();
                $ret.n = "Verdana";
                $ret.d = 13;
                $ret.q = "Normal";
                $ret.s = "Normal";
                $ret.o = "Normal";
                return $ret;
            })());
            this.ad = new Size();
            this.e = null;
            this._gridExternal = null;
            this.h = false;
            this.l = null;
        }
        r() {
            return this.k;
        }
        x() {
        }
        v(a) {
            if (a == null) {
                this.k = null;
                return;
            }
            this.c.a = new DOMExecutionContext(a);
            this.k = a;
            this.n = this.k.createElement("canvas");
            this.g = new RenderingContext(new CanvasViewRenderer(), this.k.get2DCanvasContext(this.n));
            this.m = this.k.createElement("div");
            this.aa();
            let b = new ListPanel();
            let c = this.k.createElement("div");
            c.setStyleProperty("width", "100%");
            c.setStyleProperty("height", "100%");
            this.k.append(c);
            let d = this.k.getSubRenderer(c);
            b.provideContainer(d);
            let e = this.k.getExternal(b, this.k.rootWrapper, this.k.getExternal(this.c, null, null));
            b.externalListPanel = e;
            this.c.at(b);
            let f = Math.round(a.rootWrapper.width());
            let g = Math.round(a.rootWrapper.height());
            this.k.rootWrapper.setStyleProperty("position", "relative");
        }
        aa() {
        }
        z() {
            if (this.k != null) {
            }
        }
        u() {
            if (this.k == null) {
                return;
            }
            let a = this.k.rootWrapper.width();
            let b = this.k.rootWrapper.height();
            this.ad = new Size(1, a, b);
            this.c.az(this.ad);
            if (this.c.r != null) {
            }
        }
        ab() {
            let a = this.k;
            if (null == a) {
                return;
            }
            let b = a.rootWrapper;
            if (null != b) {
                NativeUI.o(b, this.c.be);
                NativeUI.k(b, this.c.bb);
            }
        }
        f() {
            return this.d;
        }
        w() {
        }
        y() {
        }
        t() {
        }
        i() {
            return this.ad.width;
        }
        j(a) {
            this.e = this.c.q();
            return FontUtil.measureStringWidth(a, this.e, this.g);
        }
        s(a, b) {
            if (this.l == null) {
                this.l = this.k.createElement("div");
            }
            b(this.l.getNativeElement());
        }
        a() {
            let a = new Popup();
            let b = this.k.getExternal(a, this.k.rootWrapper, this.k.getExternal(this.c, null, null));
            return a;
        }
        b(a) {
            let b = new ToolPanel();
            let c = this.k.getExternal(b, this.k.rootWrapper, this.k.getExternal(this.c, null, null));
            let d = a.x;
            d.appendChild(b.l.k.rootWrapper.getNativeElement());
            return b;
        }
        ac(a) {
            let ele_ = a;
            let bounds_ = (ele_.getBoundingClientRect());
            let b = bounds_["left"];
            let c = bounds_["top"];
            let d = bounds_["width"];
            let e = bounds_["height"];
            return new Rect(0, b, c, d, e);
        }
    }
    ToolPanelView.$t = /*@__PURE__*/ markType(ToolPanelView, 'ToolPanelView');
    return ToolPanelView;
})();
/**
 * @hidden
 */
export let ToolAction = /*@__PURE__*/ (() => {
    class ToolAction extends Base {
        constructor() {
            super(...arguments);
            this.e = null;
            this.ag = null;
            this.ab = null;
            this.aa = null;
            this.w = null;
            this.f = 0;
            this.m = DeviceUtils.g(5);
            this.n = DeviceUtils.g(5);
            this.l = DeviceUtils.g(2);
            this.o = DeviceUtils.g(2);
            this.af = null;
            this.ae = null;
            this.ad = null;
            this.ac = null;
            this.propertyChanged = null;
            this.onCommand = null;
            this.performed = null;
        }
        get ar() {
            if (this.au != null) {
                return this.au;
            }
            if (this.as != null) {
                return this.a4(this.as);
            }
            return null;
        }
        a4(a) {
            return stringReplace(a, " ", "_");
        }
        b(a) {
            return ((() => {
                let $ret = new ToolActionEventDetail();
                $ret.a = this;
                $ret.d = a;
                return $ret;
            })());
        }
        i() {
            return ((() => {
                let $ret = new ToolCommandArgument();
                $ret.argumentName = this.a2();
                $ret.value = this.y();
                return $ret;
            })());
        }
        a2() {
            if (this.ai != null) {
                return this.ai;
            }
            return this.ar != null ? this.ar : "Unknown";
        }
        y() {
            if (this.x != null) {
                return this.x;
            }
            return this.z();
        }
        z() {
            return null;
        }
        get a0() {
            return this.ag;
        }
        set a0(a) {
            let b = this.ag;
            this.ag = a;
            if (b != this.ag) {
                this.bb("ParentId", b, this.ag);
            }
        }
        a3() {
            if (this.al != null) {
                return this.al;
            }
            return this.ar;
        }
        get al() {
            return this.ab;
        }
        set al(a) {
            let b = this.ab;
            this.ab = a;
            if (b != this.ab) {
                this.bb("CommandId", b, this.ab);
            }
        }
        get ai() {
            return this.aa;
        }
        set ai(a) {
            let b = this.aa;
            this.aa = a;
            if (b != this.aa) {
                this.bb("CommandArgument", b, this.aa);
            }
        }
        get x() {
            return this.w;
        }
        set x(a) {
            let b = this.w;
            this.w = a;
            if (b != this.w) {
                this.bb("CommandArgumentValue", b, this.w);
            }
        }
        get g() {
            return this.f;
        }
        set g(a) {
            let b = this.f;
            this.f = a;
            if (b != this.f) {
                this.bb("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        get t() {
            return this.m;
        }
        set t(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.bb("PaddingLeft", b, this.m);
            }
        }
        get u() {
            return this.n;
        }
        set u(a) {
            let b = this.n;
            this.n = a;
            if (b != this.n) {
                this.bb("PaddingRight", b, this.n);
            }
        }
        get s() {
            return this.l;
        }
        set s(a) {
            let b = this.l;
            this.l = a;
            if (b != this.l) {
                this.bb("PaddingBottom", b, this.l);
            }
        }
        get v() {
            return this.o;
        }
        set v(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.bb("PaddingTop", b, this.o);
            }
        }
        get k() {
            return this.a0 != null;
        }
        get au() {
            return this.af;
        }
        set au(a) {
            let b = this.af;
            this.af = a;
            if (b != this.af) {
                this.bb("Name", b, this.af);
            }
        }
        get as() {
            return this.ae;
        }
        set as(a) {
            let b = this.ae;
            this.ae = a;
            if (b != this.ae) {
                this.bb("Label", b, this.ae);
            }
        }
        get ap() {
            return this.ad;
        }
        set ap(a) {
            let b = this.ad;
            this.ad = a;
            if (b != this.ad) {
                this.bb("IconName", b, this.ad);
            }
        }
        get an() {
            return this.ac;
        }
        set an(a) {
            let b = this.ac;
            this.ac = a;
            if (b != this.ac) {
                this.bb("IconCollectionName", b, this.ac);
            }
        }
        bb(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.bf(a, b, c);
        }
        get_h() {
            return 0;
        }
        get h() {
            return this.get_h();
        }
        bf(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.bh();
                    break;
            }
        }
        bh() {
        }
        bd(a, b, c, d) {
            this.be(a, b, c, d);
        }
        be(a, b, c, d) {
        }
        a7(a, b) {
            this.a8(a, b);
        }
        a8(a, b) {
            b.e = this.p(a, b);
            b.g = this.r(a, b);
            b.f = this.q(a, b);
            if (b.a == 1) {
                let c = 0;
                if (!isNaN_(b.e)) {
                    c += b.e;
                }
                if (!isNaN_(b.g)) {
                    c += b.g;
                }
                if (!isNaN_(b.f)) {
                    c += b.f;
                }
                c += (this.t + this.u);
                b.d = c;
            }
        }
        q(a, b) {
            return NaN;
        }
        r(a, b) {
            if (this.as == null) {
                return NaN;
            }
            let c = a.l.j(this.as);
            return c;
        }
        p(a, b) {
            return NaN;
        }
        bc(a, b) {
            this.bg();
            if (this.k) {
                let c = this.e.c(this.a0);
                if (c != null) {
                    c.ba(this);
                }
            }
            else {
                if (this.e.w(this)) {
                    if (this.performed != null) {
                        let d = new ToolActionEventDetailCollection();
                        this.a6(this, d, b);
                        this.performed(this, ((() => {
                            let $ret = new ToolActionPerformedEventArgs();
                            $ret.c = true;
                            $ret.b = d;
                            return $ret;
                        })()));
                    }
                }
                else {
                    if (this.performed != null) {
                        this.performed(this, ((() => {
                            let $ret = new ToolActionPerformedEventArgs();
                            $ret.c = false;
                            $ret.a = a;
                            return $ret;
                        })()));
                    }
                }
            }
        }
        bg() {
            let a = this.a3();
            if (a == null) {
                return;
            }
            let b = new ToolCommand();
            b.commandId = a;
            let c = new List$1(ToolCommandArgument.$, 0);
            this.a5(this, c);
            b.argumentsList = c.toArray();
            if (this.onCommand != null) {
                this.onCommand(this, ((() => {
                    let $ret = new ToolCommandEventArgs();
                    $ret.a = b;
                    return $ret;
                })()));
            }
            if (this.e != null) {
                this.e.a1(this, b);
            }
        }
        a5(a, b) {
            let c = a.i();
            if (c != null) {
                b.add(c);
            }
            let d = this.e.aa(a);
            if (d != null) {
                for (let e = 0; e < d.count; e++) {
                    if (d._inner[e].j()) {
                        this.a5(d._inner[e], b);
                    }
                }
            }
        }
        j() {
            return true;
        }
        ba(a) {
            if (this.k) {
                let b = this.e.c(this.a0);
                if (b != null) {
                    b.ba(a);
                }
            }
            else {
                this.bc(this.b(false), a);
            }
        }
        a6(a, b, c) {
            let d = a.b(a == c);
            b.add(d);
            let e = this.e.aa(a);
            if (e != null) {
                for (let f = 0; f < e.count; f++) {
                    this.a6(e._inner[f], b, c);
                }
            }
        }
        static a(a) {
            let b = null;
            switch (a.a) {
                case 2:
                    b = new ToolActionCheckbox();
                    break;
                case 1:
                    b = new ToolActionGroupHeader();
                    break;
                case 3:
                    b = new ToolActionIconButton();
                    break;
                case 4:
                    b = new ToolActionLabel();
                    break;
                case 5:
                    b = new ToolActionNumberInput();
                    break;
                case 6:
                    b = new ToolActionRadio();
                    break;
                case 7:
                    b = new ToolActionSeparator();
                    break;
                case 8:
                    b = new ToolActionIconMenu();
                    break;
                case 9:
                    b = new ToolActionButton();
                    break;
                case 0: return null;
            }
            b.a9(a);
            return b;
        }
        a9(a) {
            this.au = a.name;
            this.as = a.label;
            this.ai = a.commandArgument;
            this.x = a.commandArgumentValue;
            this.al = a.commandId;
            this.ap = a.iconName;
            this.an = a.iconCollectionName;
            this.t = a.paddingLeft;
            this.u = a.paddingRight;
            this.v = a.paddingTop;
            this.s = a.paddingBottom;
            this.a0 = a.parentId;
        }
    }
    ToolAction.$t = /*@__PURE__*/ markType(ToolAction, 'ToolAction', Base.$, [INotifyPropertyChanged_$type]);
    return ToolAction;
})();
/**
 * @hidden
 */
export let ToolActionButton = /*@__PURE__*/ (() => {
    class ToolActionButton extends ToolAction {
        constructor() {
            super(...arguments);
            this.bi = null;
        }
        get_h() {
            return 9;
        }
        i() {
            return null;
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.b = this.h;
            b.d = a;
            return b;
        }
        r(a, b) {
            return NaN;
        }
        q(a, b) {
            return 88;
        }
        bk(a, b, c, d, e, f, g) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (g.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 0, 1);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                }
                b.bg(c, 0);
                b.bf(c, 0);
                this.bi = c;
                this.bi.a0 = 2;
                this.bi.az = runOn(this, this.bj);
            }
            c.a1 = this.as;
            b.j = f.a.j;
        }
        bj(a, b) {
            this.bc(this.b(true), this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                let f = [7, 1];
                let g = [0, 0];
                if (this.g >= 3 && this.g <= 6) {
                    g = [0, 2];
                }
                NativeUIComponent.ae(b.l.r(), f, g, (h) => {
                    let i = h[0];
                    let j = h[1];
                    e.a5 = i;
                    this.bk(e, i, j, a, b, c, d);
                });
            }
            else {
                let h = e.a5;
                let i = h.az(0);
                this.bk(e, h, i, a, b, c, d);
            }
        }
    }
    ToolActionButton.$t = /*@__PURE__*/ markType(ToolActionButton, 'ToolActionButton', ToolAction.$);
    return ToolActionButton;
})();
/**
 * @hidden
 */
export let ToolActionLabel = /*@__PURE__*/ (() => {
    class ToolActionLabel extends ToolAction {
        get_h() {
            return 4;
        }
        bj(a, b, c, d, e, f, g) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (g.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(g.e) ? 0 : g.e);
                b.bb(1, 1, isNaN_(g.g) ? 0 : g.g);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                }
                b.bg(c, 0);
                b.bf(c, 1);
                c.g = 1;
                b.a6 = runOn(this, this.bi);
            }
            b.j = f.a.j;
            b.ao = BrushUtil.g(0, 0, 0, 0);
            c.az = this.as;
            c.aq = BrushUtil.g(255, 20, 20, 20);
        }
        bi(a, b) {
            this.bc(this.b(false), this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                NativeUIComponent.af(b.l.r(), [7, 3], (f) => {
                    let g = f[0];
                    let h = f[1];
                    e.a5 = g;
                    this.bj(e, g, h, a, b, c, d);
                });
                ;
            }
            else {
                let f = e.a5;
                let g = f.az(0);
                this.bj(e, f, g, a, b, c, d);
            }
        }
    }
    ToolActionLabel.$t = /*@__PURE__*/ markType(ToolActionLabel, 'ToolActionLabel', ToolAction.$);
    return ToolActionLabel;
})();
/**
 * @hidden
 */
export let ToolActionRadio = /*@__PURE__*/ (() => {
    class ToolActionRadio extends ToolAction {
        constructor() {
            super(...arguments);
            this.bj = "channel_1";
            this.bi = null;
        }
        get_h() {
            return 6;
        }
        get bk() {
            return this.bj;
        }
        set bk(a) {
            this.bj = a;
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.b = this.h;
            b.d = a;
            if (this.bi != null) {
                b.c = this.bi.a1;
            }
            return b;
        }
        z() {
            return this.bi.a1;
        }
        bl() {
            if (this.bi != null) {
                this.bi.a1 = false;
            }
        }
        q(a, b) {
            return 30;
        }
        bh() {
            if (this.bi != null) {
                this.bi.c = this.g;
            }
        }
        bn(a, b, c, d, e, f, g, h) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (h.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(h.e) ? 0 : h.e);
                b.bb(1, 1, isNaN_(h.g) ? 0 : h.g);
                b.bb(2, 2, 1);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                    b.a1(d);
                }
                b.bg(c, 0);
                b.bf(c, 1);
                b.bg(d, 0);
                b.bf(d, 2);
                this.bi = d;
                d.a2 = 25;
                d.a0 = true;
                d.f = 2;
                d.g = 1;
                d.az = runOn(this, this.bm);
                c.g = 1;
            }
            b.j = g.a.j;
            c.az = this.as;
            c.aq = BrushUtil.g(255, 20, 20, 20);
        }
        bm(a, b) {
            this.bc(this.b(true), this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                let f = [7, 3, 6];
                let g = [0, 0, 0];
                if (this.g >= 3 && this.g <= 6) {
                    g = [0, 0, 2];
                }
                NativeUIComponent.ae(b.l.r(), f, g, (h) => {
                    let i = h[0];
                    let j = h[1];
                    let k = h[2];
                    e.a5 = i;
                    this.bn(e, i, j, k, a, b, c, d);
                });
            }
            else {
                let h = e.a5;
                let i = h.az(0);
                let j = h.az(1);
                this.bn(e, h, i, j, a, b, c, d);
            }
        }
    }
    ToolActionRadio.$t = /*@__PURE__*/ markType(ToolActionRadio, 'ToolActionRadio', ToolAction.$);
    return ToolActionRadio;
})();
/**
 * @hidden
 */
export let ToolActionSeparator = /*@__PURE__*/ (() => {
    class ToolActionSeparator extends ToolAction {
        get_h() {
            return 7;
        }
        a8(a, b) {
            super.a8(a, b);
            if (b.a == 1) {
                b.d = 2;
            }
            else {
                b.c = 2;
            }
        }
        bi(a, b, c, d, e, f) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (f.a == 1) {
                    b.f = 0;
                    b.g = 3;
                }
                else {
                    b.f = 3;
                }
            }
            if (f.a == 1) {
                b.p = DeviceUtils.g(2);
            }
            else {
                b.j = DeviceUtils.g(2);
            }
            b.ao = BrushUtil.g(255, 200, 200, 200);
            b.ap = BrushUtil.g(255, 80, 80, 80);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                NativeUIComponent.af(b.l.r(), [7], (f) => {
                    let g = f[0];
                    e.a5 = g;
                    this.bi(e, g, a, b, c, d);
                });
            }
            else {
                let f = e.a5;
                this.bi(e, f, a, b, c, d);
            }
        }
    }
    ToolActionSeparator.$t = /*@__PURE__*/ markType(ToolActionSeparator, 'ToolActionSeparator', ToolAction.$);
    return ToolActionSeparator;
})();
/**
 * @hidden
 */
export let ToolActionIconButton = /*@__PURE__*/ (() => {
    class ToolActionIconButton extends ToolAction {
        constructor() {
            super(...arguments);
            this.bi = null;
        }
        get_h() {
            return 3;
        }
        i() {
            return null;
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.b = this.h;
            b.d = a;
            return b;
        }
        q(a, b) {
            return 30;
        }
        bh() {
            if (this.bi != null) {
                this.bi.c = this.g;
            }
        }
        bk(a, b, c, d, e, f, g) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (g.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(g.f) ? 0 : g.f);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                }
                b.bg(c, 0);
                b.bf(c, 0);
                this.bi = c;
                this.bi.a0 = 2;
                this.bi.az = runOn(this, this.bj);
            }
            this.bi.a3 = this.ap;
            this.bi.a2 = this.an;
            b.j = f.a.j;
        }
        bj(a, b) {
            this.bc(this.b(true), this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                let f = [7, 10];
                let g = [0, 0];
                if (this.g >= 3 && this.g <= 6) {
                    g = [0, 2];
                }
                NativeUIComponent.ae(b.l.r(), f, g, (h) => {
                    let i = h[0];
                    let j = h[1];
                    e.a5 = i;
                    this.bk(e, i, j, a, b, c, d);
                });
            }
            else {
                let h = e.a5;
                let i = h.az(0);
                this.bk(e, h, i, a, b, c, d);
            }
        }
    }
    ToolActionIconButton.$t = /*@__PURE__*/ markType(ToolActionIconButton, 'ToolActionIconButton', ToolAction.$);
    return ToolActionIconButton;
})();
/**
 * @hidden
 */
export let ToolActionGroupHeader = /*@__PURE__*/ (() => {
    class ToolActionGroupHeader extends ToolAction {
        get_h() {
            return 1;
        }
        bi(a, b, c, d, e, f, g) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (g.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(g.e) ? 0 : g.e);
                b.bb(1, 2, 1);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                }
                c.g = 1;
            }
            b.j = f.a.j;
            b.ao = BrushUtil.g(255, 200, 200, 200);
            b.ap = BrushUtil.g(255, 80, 80, 80);
            b.av = new Thickness(1, 0, 0, 0, 2);
            c.az = this.as;
            c.aq = BrushUtil.g(255, 20, 20, 20);
            b.bg(c, 0);
            b.bf(c, 1);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                NativeUIComponent.af(b.l.r(), [7, 3], (f) => {
                    let g = f[0];
                    let h = f[1];
                    e.a5 = g;
                    this.bi(e, g, h, a, b, c, d);
                });
            }
            else {
                let f = e.a5;
                let g = f.az(0);
                this.bi(e, f, g, a, b, c, d);
            }
        }
    }
    ToolActionGroupHeader.$t = /*@__PURE__*/ markType(ToolActionGroupHeader, 'ToolActionGroupHeader', ToolAction.$);
    return ToolActionGroupHeader;
})();
/**
 * @hidden
 */
export let ToolActionMenuBase = /*@__PURE__*/ (() => {
    class ToolActionMenuBase extends ToolAction {
        constructor() {
            super();
            this.bl = new ToolActionCollection();
            this.bq = false;
            this.bi = null;
            this.bo = null;
            this.bp = false;
            this.bn = null;
            this.bs = false;
            this.br = false;
            let a = this.bl;
            a.collectionChanged = delegateCombine(a.collectionChanged, runOn(this, this.bu));
        }
        i() {
            return null;
        }
        a9(a) {
            super.a9(a);
            let b = a;
            if (b.actions != null) {
                for (let c = 0; c < b.actions.length; c++) {
                    this.bl.add(ToolAction.a(b.actions[c]));
                }
            }
        }
        bu(a, b) {
            this.bz();
        }
        bz() {
        }
        get actions() {
            return this.bl;
        }
        set actions(a) {
            let b = this.bl;
            this.bl = a;
            if (b != this.bl) {
                this.bb("Actions", b, this.bl);
            }
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.b = this.h;
            b.d = a;
            return b;
        }
        b0() {
            this.bx();
            this.bw();
            this.by();
            if (this.bi.t || this.br) {
                if (this.br) {
                    this.br = false;
                }
                else {
                    this.bi.ao();
                }
            }
            else {
                if (this.bs) {
                    this.b1();
                }
                else {
                    this.br = true;
                }
            }
        }
        b1() {
            this.bi.showRelativeToExclusionRect(this.b2(), this.bk(), this.bj());
        }
        bj() {
            return 1;
        }
        bk() {
            return 1;
        }
        by() {
            if (!this.bp) {
                this.bp = true;
                this.bi.appendPopupContent(this.bo.x);
            }
        }
        bx() {
            if (this.bi == null) {
                if (this.e == null) {
                    return;
                }
                this.bi = this.e.l.a();
            }
        }
        bw() {
            if (this.bo == null) {
                NativeUIContent.ah(this.e.l.r(), 0, (a) => this.bo = a);
                this.bn = this.e.l.b(this.bo);
                let a = this.bn;
                a.contentRefreshed = delegateCombine(a.contentRefreshed, runOn(this, this.bv));
                this.bn.actions = this.actions;
                this.bn.n = this.g;
            }
        }
        bv(a, b) {
            this.bs = true;
            this.bi.ar();
            if (this.br) {
                this.br = false;
                this.b1();
            }
        }
    }
    ToolActionMenuBase.$t = /*@__PURE__*/ markType(ToolActionMenuBase, 'ToolActionMenuBase', ToolAction.$);
    return ToolActionMenuBase;
})();
/**
 * @hidden
 */
export let ToolActionIconMenu = /*@__PURE__*/ (() => {
    class ToolActionIconMenu extends ToolActionMenuBase {
        constructor() {
            super(...arguments);
            this.b3 = null;
        }
        get_h() {
            return 3;
        }
        q(a, b) {
            return 30;
        }
        b2() {
            return this.e.l.ac(this.b3.x);
        }
        b5(a, b, c, d, e, f, g) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (g.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(g.f) ? 0 : g.f);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                }
                b.bg(c, 0);
                b.bf(c, 0);
                this.b3 = c;
                this.b3.a0 = 2;
                this.b3.az = runOn(this, this.b4);
            }
            this.b3.a3 = this.ap;
            this.b3.a2 = this.an;
            b.j = f.a.j;
        }
        b4(a, b) {
            this.b0();
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                NativeUIComponent.af(b.l.r(), [7, 10], (f) => {
                    let g = f[0];
                    let h = f[1];
                    e.a5 = g;
                    this.b5(e, g, h, a, b, c, d);
                });
            }
            else {
                let f = e.a5;
                let g = f.az(0);
                this.b5(e, f, g, a, b, c, d);
            }
        }
    }
    ToolActionIconMenu.$t = /*@__PURE__*/ markType(ToolActionIconMenu, 'ToolActionIconMenu', ToolActionMenuBase.$);
    return ToolActionIconMenu;
})();
/**
 * @hidden
 */
export let ToolActionCheckbox = /*@__PURE__*/ (() => {
    class ToolActionCheckbox extends ToolAction {
        constructor() {
            super(...arguments);
            this.bi = null;
        }
        get_h() {
            return 2;
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.b = this.h;
            b.d = a;
            if (this.bi != null) {
                b.c = this.bi.a1;
            }
            return b;
        }
        z() {
            return this.bi.a1;
        }
        q(a, b) {
            return 30;
        }
        bk(a, b, c, d, e, f, g, h) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (h.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(h.e) ? 0 : h.e);
                b.bb(1, 1, isNaN_(h.g) ? 0 : h.g);
                b.bb(2, 2, 1);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                    b.a1(d);
                }
                b.bg(c, 0);
                b.bf(c, 1);
                b.bg(d, 0);
                b.bf(d, 2);
                this.bi = d;
                d.a0 = true;
                d.f = 2;
                d.g = 1;
                d.az = runOn(this, this.bj);
                c.g = 1;
            }
            b.j = g.a.j;
            c.az = this.as;
            c.aq = BrushUtil.g(255, 20, 20, 20);
        }
        bj(a, b) {
            this.bc(this.b(true), this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                let f = [7, 3, 6];
                let g = [0, 0, 0];
                if (this.g >= 3 && this.g <= 6) {
                    g = [0, 0, 2];
                }
                NativeUIComponent.ae(b.l.r(), f, g, (h) => {
                    let i = h[0];
                    let j = h[1];
                    let k = h[2];
                    e.a5 = i;
                    this.bk(e, i, j, k, a, b, c, d);
                });
            }
            else {
                let h = e.a5;
                let i = h.az(0);
                let j = h.az(1);
                this.bk(e, h, i, j, a, b, c, d);
            }
        }
    }
    ToolActionCheckbox.$t = /*@__PURE__*/ markType(ToolActionCheckbox, 'ToolActionCheckbox', ToolAction.$);
    return ToolActionCheckbox;
})();
/**
 * @hidden
 */
export let ToolActionNumberInput = /*@__PURE__*/ (() => {
    class ToolActionNumberInput extends ToolAction {
        constructor() {
            super(...arguments);
            this.bi = null;
        }
        get_h() {
            return 5;
        }
        z() {
            return this.bj();
        }
        q(a, b) {
            return 100;
        }
        bh() {
            if (this.bi != null) {
                this.bi.c = this.g;
            }
        }
        bl(a, b, c, d, e, f, g, h) {
            if (a.y == null || EnumUtil.getEnumValue(ToolActionType_$type, a.y) != this.h) {
                a.a5 = b;
                if (h.a == 1) {
                    b.f = 0;
                }
                else {
                    b.f = 3;
                }
                b.bc(0, 2, 1);
                b.bb(0, 1, isNaN_(h.e) ? 0 : h.e);
                b.bb(1, 1, isNaN_(h.g) ? 0 : h.g);
                b.bb(1, 2, 1);
                b.ax = new Thickness(1, this.t, this.v, this.u, this.s);
                if (b.a0 == 0) {
                    b.a1(c);
                    b.a1(d);
                }
                b.bg(c, 0);
                b.bf(c, 1);
                b.bg(d, 0);
                b.bf(d, 2);
                this.bi = d;
                d.p = 100;
                d.az = 2;
                d.a2 = 1;
                d.f = 2;
                d.g = 1;
                d.a3 = 1;
                d.a1 = runOn(this, this.bk);
                c.g = 1;
            }
            b.j = g.a.j;
            c.az = this.as;
            c.aq = BrushUtil.g(255, 20, 20, 20);
        }
        bj() {
            let a;
            a = NaN;
            if (this.bi != null && ((() => { let b = tryParseNumber(this.bi.a4, a); a = b.p1; return b.ret; })())) {
            }
            return a;
        }
        b(a) {
            let b = new ToolActionEventDetail();
            b.a = this;
            b.d = a;
            b.b = this.h;
            let c;
            b.f = this.bj();
            return b;
        }
        bk(a, b) {
            let c = a;
            let d = this.b(true);
            this.bc(d, this);
        }
        be(a, b, c, d) {
            super.be(a, b, c, d);
            let e = c.b;
            if (e.a5 == null || (e.y == null || EnumUtil.getEnumValue(ToolActionType_$type, e.y) != this.h)) {
                let f = [7, 3, 2];
                let g = [0, 0, 0];
                if (this.g >= 3 && this.g <= 6) {
                    g = [0, 0, 2];
                }
                NativeUIComponent.ae(b.l.r(), f, g, (h) => {
                    let i = h[0];
                    let j = h[1];
                    let k = h[2];
                    e.a5 = i;
                    this.bl(e, i, j, k, a, b, c, d);
                });
            }
            else {
                let h = e.a5;
                let i = h.az(0);
                let j = h.az(1);
                this.bl(e, h, i, j, a, b, c, d);
            }
        }
    }
    ToolActionNumberInput.$t = /*@__PURE__*/ markType(ToolActionNumberInput, 'ToolActionNumberInput', ToolAction.$);
    return ToolActionNumberInput;
})();
/**
 * @hidden
 */
export let ToolActionCollection = /*@__PURE__*/ (() => {
    class ToolActionCollection extends ObservableCollection$1 {
        constructor() {
            super(ToolAction.$, 0);
        }
    }
    ToolActionCollection.$t = /*@__PURE__*/ markType(ToolActionCollection, 'ToolActionCollection', /*@__PURE__*/ ObservableCollection$1.$.specialize(ToolAction.$));
    return ToolActionCollection;
})();
/**
 * @hidden
 */
export let ToolActionPerformedEventArgs = /*@__PURE__*/ (() => {
    class ToolActionPerformedEventArgs extends Base {
        constructor() {
            super();
            this.c = false;
            this.a = null;
            this.b = null;
            this.b = new ToolActionEventDetailCollection();
        }
    }
    ToolActionPerformedEventArgs.$t = /*@__PURE__*/ markType(ToolActionPerformedEventArgs, 'ToolActionPerformedEventArgs');
    return ToolActionPerformedEventArgs;
})();
/**
 * @hidden
 */
export let ToolActionEventDetail = /*@__PURE__*/ (() => {
    class ToolActionEventDetail extends Base {
        constructor() {
            super(...arguments);
            this.a = null;
            this.b = 0;
            this.d = false;
            this.c = false;
            this.f = 0;
            this.e = new Date();
            this.g = null;
        }
    }
    ToolActionEventDetail.$t = /*@__PURE__*/ markType(ToolActionEventDetail, 'ToolActionEventDetail');
    return ToolActionEventDetail;
})();
/**
 * @hidden
 */
export let ToolActionEventDetailCollection = /*@__PURE__*/ (() => {
    class ToolActionEventDetailCollection extends ObservableCollection$1 {
        constructor() {
            super(ToolActionEventDetail.$, 0);
        }
    }
    ToolActionEventDetailCollection.$t = /*@__PURE__*/ markType(ToolActionEventDetailCollection, 'ToolActionEventDetailCollection', /*@__PURE__*/ ObservableCollection$1.$.specialize(ToolActionEventDetail.$));
    return ToolActionEventDetailCollection;
})();
/**
 * @hidden
 */
export let ToolPanel = /*@__PURE__*/ (() => {
    class ToolPanel extends Base {
        constructor() {
            super();
            this.l = null;
            this.r = null;
            this.u = false;
            this.s = null;
            this.f = new ToolActionMeasurementContext();
            this.propertyChanged = null;
            this.d = new ToolActionCollection();
            this.contentRefreshed = null;
            this.v = false;
            this.y = new Dictionary$2(String_$type, List$1.$.specialize(ToolAction.$), 0);
            this.z = new Dictionary$2(String_$type, List$1.$.specialize(ToolAction.$), 0);
            this.x = new Dictionary$2(String_$type, ToolAction.$, 0);
            this.o = null;
            this.a = null;
            this.m = 0;
            this.a9 = ToolPanel.bc;
            this.ba = ToolPanel.bd;
            this.b = null;
            this.ab = Number.POSITIVE_INFINITY;
            this.i = ToolPanel.j;
            this.onCommand = null;
            let a = this.actions;
            a.collectionChanged = delegateCombine(a.collectionChanged, runOn(this, this.an));
            NativeUIXInputsFactory.h();
            NativeUIInputsFactory.n();
            let b = new ToolPanelView();
            b.c = this;
            this.l = b;
            this.l.x();
        }
        get t() {
            if (this.s == null) {
                this.s = new SRProvider(this.l.k);
                this.s.cb("Layouts");
            }
            return this.s;
        }
        at(a) {
            this.b = a;
            let b = this.b;
            b.rowUpdating = delegateCombine(b.rowUpdating, runOn(this, this.am));
            let c = this.b;
            c.contentRefreshed = delegateCombine(c.contentRefreshed, runOn(this, this.aj));
            this.b.k = this.k;
            this.b.ai = true;
            let d = this.b;
            d.itemHeightRequested = delegateCombine(d.itemHeightRequested, runOn(this, this.ak));
            let e = this.b;
            e.itemWidthRequested = delegateCombine(e.itemWidthRequested, runOn(this, this.al));
        }
        aj(a, b) {
            if (this.contentRefreshed != null) {
                this.contentRefreshed(this, new ToolPanelContentRefreshedEventArgs());
            }
        }
        ak(a, b) {
            let c = b.c;
            let d = new ToolActionMeasurementContext();
            this.a2(d);
            c.a7(this, d);
            if (!isNaN_(d.c)) {
                b.a = d.c;
            }
            else {
                b.a = this.b.av;
            }
        }
        al(a, b) {
            let c = b.c;
            let d = new ToolActionMeasurementContext();
            this.a2(d);
            c.a7(this, d);
            if (!isNaN_(d.d)) {
                b.a = d.d;
            }
            else {
            }
        }
        am(a, b) {
            let c = b.a.n;
            let d = a;
            if (this.k == 1) {
                let e = new ToolActionMeasurementContext();
                this.a2(e);
                c.a7(this, e);
                c.bd(d, this, b, e);
            }
            else {
                c.bd(d, this, b, this.f);
            }
        }
        az(a) {
            this.ab = a.width;
            this.a5();
            this.b.notifySizeChanged();
        }
        get actions() {
            return this.d;
        }
        set actions(a) {
            let b = this.d;
            this.d = a;
            if (b != this.d) {
                this.a0("Actions", b, this.d);
            }
        }
        an(a, b) {
            if (b.oldItems != null) {
                for (let c of fromEn(b.oldItems)) {
                    if (typeCast(INotifyPropertyChanged_$type, c) !== null) {
                        let d = c;
                        d.propertyChanged = delegateRemove(d.propertyChanged, runOn(this, this.au));
                    }
                }
            }
            if (b.newItems != null) {
                for (let e of fromEn(b.newItems)) {
                    if (typeCast(INotifyPropertyChanged_$type, e) !== null) {
                        let f = e;
                        f.propertyChanged = delegateCombine(f.propertyChanged, runOn(this, this.au));
                    }
                }
            }
            this.a8();
            this.ay();
        }
        ay() {
            this.a5();
        }
        a5() {
            if (this.v) {
                return;
            }
            this.v = true;
            this.a.enqueueAction(runOn(this, this.aq));
        }
        aq() {
            if (!this.v) {
                return;
            }
            this.v = false;
            this.ao();
            this.a7();
            for (let a = 0; a < this.d.count; a++) {
                this.av(this.d._inner[a]);
            }
            this.ar();
        }
        ao() {
            this.y.clear();
            this.z.clear();
            this.x.clear();
            for (let a = 0; a < this.d.count; a++) {
                this.d._inner[a].e = this;
                if (this.d._inner[a].ar != null) {
                    this.x.item(this.d._inner[a].ar, this.d._inner[a]);
                }
            }
            for (let b = 0; b < this.d.count; b++) {
                if (this.d._inner[b].a0 != null) {
                    if (this.x.containsKey(this.d._inner[b].a0)) {
                        if (!this.y.containsKey(this.d._inner[b].a0)) {
                            this.y.item(this.d._inner[b].a0, new List$1(ToolAction.$, 0));
                        }
                        let c = this.y.item(this.d._inner[b].a0);
                        c.add(this.d._inner[b]);
                    }
                }
            }
            for (let d = 0; d < this.d.count; d++) {
                if (this.d._inner[d].h == 6) {
                    let e = this.d._inner[d].bk;
                    if (!this.z.containsKey(e)) {
                        this.z.item(e, new List$1(ToolAction.$, 0));
                    }
                    this.z.item(e).add(this.d._inner[d]);
                }
            }
        }
        w(a) {
            if (a.ar == null) {
                return false;
            }
            return this.y.containsKey(a.ar);
        }
        c(a) {
            if (this.x.containsKey(a)) {
                return this.x.item(a);
            }
            return null;
        }
        aa(a) {
            if (a.ar == null) {
                return null;
            }
            if (this.y.containsKey(a.ar)) {
                return this.y.item(a.ar);
            }
            return null;
        }
        av(a) {
            let b = new ToolActionMeasurementContext();
            this.a2(b);
            a.a7(this, b);
            this.aw(this.f, b);
        }
        a2(a) {
            a.a = this.k;
            a.b = this.ab;
        }
        aw(a, b) {
            if (!isNaN_(b.e)) {
                if (isNaN_(a.e)) {
                    a.e = b.e;
                }
                else {
                    a.e = Math.max(a.e, b.e);
                }
            }
            if (!isNaN_(b.g)) {
                if (isNaN_(a.g)) {
                    a.g = b.g;
                }
                else {
                    a.g = Math.max(a.g, b.g);
                }
            }
        }
        a7() {
            this.f = new ToolActionMeasurementContext();
            this.f.a = this.k;
            this.f.b = this.ab;
        }
        ar() {
            if (this.b.itemsSource != this.actions) {
                this.b.itemsSource = this.actions;
            }
        }
        as() {
            if (this.v) {
                this.aq();
            }
            if (this.b != null) {
                this.b.bt();
            }
        }
        a6(a) {
            let b = a.bk;
            let c = a.ar;
            if (this.z != null) {
                if (this.z.containsKey(b)) {
                    for (let d = 0; d < this.z.item(b).count; d++) {
                        if (this.z.item(b)._inner[d].ar != c) {
                            this.z.item(b)._inner[d].bl();
                        }
                    }
                }
            }
        }
        au(a, b) {
            this.ay();
        }
        notifySizeChanged() {
            this.l.u();
        }
        destroy() {
            this.provideContainer(null);
        }
        provideContainer(a) {
            this.l.v(a);
        }
        get p() {
            return this.o;
        }
        set p(a) {
            let b = this.o;
            this.o = a;
            if (b != this.o) {
                this.a0("CellTextStyle", b, this.o);
            }
        }
        q() {
            if (this.p == null) {
                return this.l.f();
            }
            return this.p;
        }
        a0(a, b, c) {
            if (this.propertyChanged != null) {
                this.propertyChanged(this, new PropertyChangedEventArgs(a));
            }
            this.a3(a, b, c);
        }
        a3(a, b, c) {
            switch (a) {
                case "BaseTheme":
                    this.a8();
                    break;
                case "CellTextStyle":
                    this.a5();
                    break;
                case "BackgroundColor":
                case "TextColor":
                    this.a5();
                    break;
                case "Orientation":
                    if (this.b != null) {
                        this.b.k = this.k;
                    }
                    break;
                case "Actions":
                    if (b != null) {
                        let d = b;
                        d.collectionChanged = delegateRemove(d.collectionChanged, runOn(this, this.an));
                    }
                    if (c != null) {
                        let e = c;
                        e.collectionChanged = delegateCombine(e.collectionChanged, runOn(this, this.an));
                    }
                    this.a5();
                    break;
            }
        }
        a8() {
            for (let a = 0; a < this.d.count; a++) {
                this.d._inner[a].g = this.n;
            }
        }
        get n() {
            return this.m;
        }
        set n(a) {
            let b = this.m;
            this.m = a;
            if (b != this.m) {
                this.a0("BaseTheme", enumGetBox(BaseControlTheme_$type, b), enumGetBox(BaseControlTheme_$type, a));
            }
        }
        get bb() {
            return this.a9;
        }
        set bb(a) {
            let b = this.a9;
            this.a9 = a;
            if (b != this.a9) {
                this.a0("BackgroundColor", b, a);
            }
        }
        get be() {
            return this.ba;
        }
        set be(a) {
            let b = this.ba;
            this.ba = a;
            if (b != this.ba) {
                this.a0("TextColor", b, a);
            }
        }
        get k() {
            return this.i;
        }
        set k(a) {
            let b = this.i;
            this.i = a;
            if (b != this.i) {
                this.a0("Orientation", enumGetBox(ToolPanelOrientation_$type, b), enumGetBox(ToolPanelOrientation_$type, a));
            }
        }
        a1(a, b) {
            if (this.onCommand != null) {
                this.onCommand(this, ((() => {
                    let $ret = new ToolCommandEventArgs();
                    $ret.a = b;
                    return $ret;
                })()));
            }
            if (a.h == 6) {
                this.a6(a);
            }
        }
    }
    ToolPanel.$t = /*@__PURE__*/ markType(ToolPanel, 'ToolPanel', Base.$, [INotifyPropertyChanged_$type]);
    ToolPanel.bc = /*@__PURE__*/ BrushUtil.g(255, 248, 248, 248);
    ToolPanel.bd = /*@__PURE__*/ BrushUtil.g(255, 24, 29, 31);
    ToolPanel.j = 0;
    return ToolPanel;
})();
