import { IgrToolAction } from "./igr-tool-action";
import { ToolActionRadio } from "./ToolActionRadio";
export class IgrToolActionRadio extends IgrToolAction {
    createImplementation() {
        return new ToolActionRadio();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the channel this radio button belongs to.
    */
    get channel() {
        return this.i.bk;
    }
    set channel(v) {
        this.i.bk = v;
    }
}
