import { IgrToolAction, IIgrToolActionProps } from "./igr-tool-action";
import { ToolActionRadio } from "./ToolActionRadio";
export declare class IgrToolActionRadio extends IgrToolAction<IIgrToolActionRadioProps> {
    protected createImplementation(): ToolActionRadio;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionRadio;
    constructor(props: IIgrToolActionRadioProps);
    /**
     * Gets or sets the channel this radio button belongs to.
    */
    get channel(): string;
    set channel(v: string);
}
export interface IIgrToolActionRadioProps extends IIgrToolActionProps {
    /**
     * Gets or sets the channel this radio button belongs to.
    */
    channel?: string;
}
